tigase.server.bosh

## Class BoshIOService

- java.lang.Object
- - tigase.net.IOService<RefObject>
  - - tigase.xmpp.XMPPIOService<Object>
    - - tigase.server.bosh.BoshIOService

- All Implemented Interfaces:
    Callable<IOService<?>>, TLSEventHandler, IOListener

      public class BoshIOService
      extends XMPPIOService<Object>

  Describe class BoshIOService here.
  Created: Tue Jun 5 22:33:18 2007
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `BoshIOService.ConfigProvider`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EOL`

    - ### Fields inherited from class tigase.xmpp.XMPPIOService

      `ACK_NAME, CROSS_DOMAIN_POLICY_FILE_PROP_KEY, CROSS_DOMAIN_POLICY_FILE_PROP_VAL, DOM_HANDLER, ID_ATT, parser, processors, REQ_NAME, serviceListener, STREAM_CLOSING, writeInProgress`

    - ### Fields inherited from class tigase.net.IOService

      `cb, CERT_CHECK_RESULT, CERT_REQUIRED_DOMAIN, decoder, encoder, HOSTNAME_KEY, LOCAL_CERT_CHECK_RESULT, partialCharacterBytes, PORT_TYPE_PROP_KEY, SESSION_ID_KEY, SSL_PROTOCOLS_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoshIOService(BoshIOService.ConfigProvider configProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkData(char[] data)`
    `protected String` | `getCharset(String content_type)`
    `protected int` | `getDataLength(String data, String content_type)`
    `long` | `getRid()`
    `UUID` | `getSid()`
    `BoshTask` | `getWaitTimer()`
    `StringBuilder` | `prepareHeaders(String data)`
    `void` | `sendErrorAndStop(Authorization errorCode, StreamError streamError, Packet packet, String errorMsg)`
    `void` | `setContentType(String ct)`
    `void` | `setRid(long rid)`
    `void` | `setSid(UUID sid)`
    `void` | `setWaitTimer(BoshTask timer)`
    `void` | `writeRawData(String data)`

    - ### Methods inherited from class tigase.xmpp.XMPPIOService

      `addPacketToSend, addReceivedPacket, call, checkBufferLimit, clearWaitingPackets, forceStop, getLastXmppPacketReceiveTime, getPacketsReceived, getPacketsSent, getReceivedPackets, getTotalPacketsReceived, getTotalPacketsSent, getUserJid, getWaitingForAct, getWaitingPackets, getXMLNS, hasParsedElements, moveParsedPacketsToReceived, prepareStreamClose, processSocketData, processWaitingPackets, receivedPackets, setAckMode, setElementLimits, setIOServiceListener, setProcessors, setUserJid, setXMLNS, stop, toString, xmppStreamClosed, xmppStreamOpen, xmppStreamOpened`

    - ### Methods inherited from class tigase.net.IOService

      `accept, byteOrder, connectionType, debug, debug, getBuffOverflow, getBytesReceived, getBytesSent, getCertificateContainer, getConnectionId, getDataReceiver, getIO, getLastTransferTime, getLocalAddress, getLocalCertificate, getLocalPort, getPeerCertificate, getReadCounters, getRefObject, getRemoteAddress, getSessionData, getSocketChannel, getSocketInputSize, getStatistics, getTlsUniqueId, getTotalBuffOverflow, getTotalBytesReceived, getTotalBytesSent, getUniqueId, getWriteCounters, handleMalformedInput, handshakeCompleted, isConnected, isInputBufferEmpty, isSocketServiceReady, readBytes, readCompleted, readData, setBufferLimit, setCertificateContainer, setConnectionId, setDataReceiver, setIOServiceListener, setRefObject, setSessionData, setSocketServiceReady, setSslContextContainer, setX509TrustManagers, startSSL, startTLS, startZLib, waitingToRead, waitingToSend, waitingToSendSize, writeBytes, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EOL

          public static final String EOL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BoshIOService

          public BoshIOService(BoshIOService.ConfigProvider configProvider)

  - ### Method Detail

    - #### getRid

          public long getRid()

    - #### setRid

          public void setRid(long rid)

    - #### getSid

          public UUID getSid()

    - #### setSid

          public void setSid(UUID sid)

    - #### getWaitTimer

          public BoshTask getWaitTimer()

    - #### setWaitTimer

          public void setWaitTimer(BoshTask timer)

    - #### sendErrorAndStop

          public void sendErrorAndStop(Authorization errorCode,
                                       StreamError streamError,
                                       Packet packet,
                                       String errorMsg)
                                throws IOException

      Throws:
        `IOException`

    - #### setContentType

          public void setContentType(String ct)

    - #### prepareHeaders

          public StringBuilder prepareHeaders(String data)

    - #### getDataLength

          protected int getDataLength(String data,
                                      String content_type)

    - #### getCharset

          protected String getCharset(String content_type)

    - #### writeRawData

          public void writeRawData(String data)
                            throws IOException

      Overrides:
        `writeRawData` in class `XMPPIOService<Object>`
      Throws:
        `IOException`

    - #### checkData

          public boolean checkData(char[] data)
                            throws IOException

      Overrides:
        `checkData` in class `XMPPIOService<Object>`
      Throws:
        `IOException`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.